View Issue Details

IDProjectCategoryView StatusLast Update
0002198unrealircdpublic2005-02-12 19:03
ReporterStealthAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.3 
Summary0002198: ~c extended ban type improvement
DescriptionIt would be a nice thing to be able to specify a prefix for the ~c extended bantype. When a prefix is specified, users must have that status or higher on the channel. This would be a good thing to have for ban exceptions when op or voice is required on the target channel.

Format:
~c:[prefix]<#channel>

Example:
mode #channel +be ~q:*!*@* ~c:+#unreal-support
Would requre users to be voice or higher on #unreal-support (or in #channel) to be able to talk in #channel.
TagsNo tags attached.
3rd party modules

Activities

codemastr

2005-01-17 16:27

reporter   ~0008841

[quote]mode #channel +be ~q:*!*@* ~c:+#unreal-support
Would requre users to be voice or higher on #unreal-support (or in #channel) to be able to talk in #channel.[/quote]

Maybe I'm wrong, but that's not how this would work, is it? Meaning, that +e ~c isn't linked to the +b ~q. ~c prevents you from joining, not from speaking. So if you did ~c:+#unreal-support, it would mean you must be +v on #unreal-support to join, not to talk. If you then came to #channel, then set -v in #unreal-support, it wouldn't care. Or is there some link between ~q and ~c that I'm not aware of?

syzop

2005-01-17 17:13

administrator   ~0008843

At the moment (perhaps this should be documented):
~q: affects only messages
~n: affects only nickchanges
~r: affects ALL
~c: affects ALL

Currently unreal32docs is unclear, especially on ~r/~c:
~c channel If the user is in this channel then (s)he is unable to join. Ex: ~c:#lamers
should probably be:
~c channel If the user is in this channel then (s)he is banned. Ex: ~c:#lamers
[and same for ~r]

codemastr

2005-01-18 12:01

reporter   ~0008857

Ok, makes more sense then.

syzop

2005-02-12 19:03

administrator   ~0009109

Added in .263 :).

I think the desynch it causes is acceptable.. +b/+e's with this prefix will simply be ignored on unsupported servers (and are correctly 'skipped', so +b-b ~c:+#chan some!existing@ban will show up as -b some!existing@ban).
And of course if this still bothers anyone he/she can temp. disable the c extban in the conf ;).

Issue History

Date Modified Username Field Change
2004-11-25 15:11 Stealth New Issue
2004-11-25 16:41 syzop Status new => acknowledged
2004-11-29 18:48 syzop Assigned To => syzop
2004-11-29 18:48 syzop Summary ~c extended ban type => ~c extended ban type improvement
2005-01-17 16:27 codemastr Note Added: 0008841
2005-01-17 17:13 syzop Note Added: 0008843
2005-01-18 12:01 codemastr Note Added: 0008857
2005-02-12 00:27 syzop Status acknowledged => assigned
2005-02-12 00:27 syzop ETA none => < 1 week
2005-02-12 19:03 syzop Status assigned => resolved
2005-02-12 19:03 syzop Fixed in Version => 3.2.3
2005-02-12 19:03 syzop Resolution open => fixed
2005-02-12 19:03 syzop Note Added: 0009109